from gevent import monkey;monkey.patch_all(thread=False)
import asyncio
import logging
import signal


def is_gevent_monkey_patched():
    try:
        from gevent import monkey
    except ImportError:
        return False
    else:
        return monkey.is_module_patched('socket')

logging.basicConfig(level=logging.DEBUG,)

ev = asyncio.Event()

async def test1():
    while not ev.is_set():
        print('test1')
        await asyncio.sleep(1)

async def test2():
    print('test2')
    await ev.wait()
    print('Byebye')


def kill(signal,frame):
    global ev
    print('Killed')
    ev.set()

async def main():
    t1 = asyncio.create_task(test1())
    t2 = asyncio.create_task(test2())
    await t1
    await t2



print(is_gevent_monkey_patched())

try:
    signal.signal(signal.SIGINT, kill)
    asyncio.run(main())

except KeyboardInterrupt:
    print('Byebye')